com.corticon.rulesemf.canonicalrulemodel

## Interface RuleModelElement

- All Superinterfaces:
    org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier
  All Known Subinterfaces:
    Action, ActivityNode, Condition, Connector, Decision, DecisionNode, EffectivityRange, Filter, Flow, FlowControl, LogicalVariable, OpaqueExpression, PRule, PRuleset, RuleActivity, Ruleflow, RuleStatement, Subflow, TerminateNode

      public interface RuleModelElement
      extends org.eclipse.emf.ecore.EObject

  A representation of the model object 'Rule Model Element'.

  The following features are supported:

  - `Documenting Rule Statements`
  See Also:
    `CanonicalrulemodelPackage.getRuleModelElement()`

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.eclipse.emf.common.util.EList` | `getDocumentingRuleStatements()` Returns the value of the 'Documenting Rule Statements' reference list.

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Method Detail

    - #### getDocumentingRuleStatements

          org.eclipse.emf.common.util.EList getDocumentingRuleStatements()

      Returns the value of the 'Documenting Rule Statements' reference list. The list contents are of type `RuleStatement`. It is bidirectional and its opposite is '`Rule Model Elements`'.

      If the meaning of the 'Documenting Rule Statements' reference list isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Documenting Rule Statements' reference list.
      See Also:
        `CanonicalrulemodelPackage.getRuleModelElement_DocumentingRuleStatements()`, `RuleStatement.getRuleModelElements()`

Copyright © 2005-2013 Progress Software Corporation and/or its subsidiaries and affiliates. All rights reserved.